%global srcname imageio

Name: python-%{srcname}
Version: 2.31.2
Release:    1%{?dist}
Summary: Python IO of image, video, scientific, and volumetric data formats.
License: BSD-2-Clause
URL: https://imageio.github.io
Source0: %{pypi_source}

BuildArch: noarch
BuildRequires: python3-devel

%global _description %{expand:
Imageio is a Python library that provides an easy interface to read and write a wide range of image data, including animated images, volumetric data, and scientific formats.}

%description %_description

%package -n python3-%{srcname}
Summary: %{summary}
BuildRequires: python3-setuptools

%description -n python3-%{srcname}
%_description

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files imageio

%check

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md 
%exclude %{_bindir}/imageio*

%changelog
* Wed Jul 17 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.31.2-1
- initial build
